POST api/NTSetting/PostTextNotificationType

Request Information

URI Parameters

None.

Body Parameters

NTTextNotificationTypeDTO
NameDescriptionTypeAdditional information
Id

integer

None.

TextNotificationType

string

String length: inclusive between 0 and 250

TextMessageTemplate

string

String length: inclusive between 0 and 2147483647

ClinicalPathwayTypeId

integer

None.

ClinicalPathwayTypeName

string

String length: inclusive between 0 and 100

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "TextNotificationType": "sample string 2",
  "TextMessageTemplate": "sample string 3",
  "ClinicalPathwayTypeId": 4,
  "ClinicalPathwayTypeName": "sample string 5",
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:25:39.8390766-07:00",
  "DateUpdated": "2026-08-04T14:25:39.8390766-07:00",
  "UserIDCreated": 9,
  "UserIDUpdated": 10,
  "CompanyCode": "sample string 11",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfNTTextNotificationTypeDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

NTTextNotificationTypeDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "TextNotificationType": "sample string 2",
    "TextMessageTemplate": "sample string 3",
    "ClinicalPathwayTypeId": 4,
    "ClinicalPathwayTypeName": "sample string 5",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:25:39.8390766-07:00",
    "DateUpdated": "2026-08-04T14:25:39.8390766-07:00",
    "UserIDCreated": 9,
    "UserIDUpdated": 10,
    "CompanyCode": "sample string 11",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}